<?php
/**
 *
 * PHP versions 4 and 5
 *
 * CakePHP(tm) : Rapid Development Framework (http://cakephp.org)
 * Copyright 2005-2010, Cake Software Foundation, Inc. (http://cakefoundation.org)
 *
 * Licensed under The MIT License
 * Redistributions of files must retain the above copyright notice.
 *
 * @copyright     Copyright 2005-2010, Cake Software Foundation, Inc. (http://cakefoundation.org)
 * @link          http://cakephp.org CakePHP(tm) Project
 * @package       cake
 * @subpackage    cake.cake.libs.view.templates.layouts
 * @since         CakePHP(tm) v 0.10.0.1076
 * @license       MIT License (http://www.opensource.org/licenses/mit-license.php)
 */
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<?php echo $this->Html->charset(); ?>
	<title>
		<?php if ($_SERVER['HTTP_HOST'] == Configure::read("production.host")): ?>
			<?php __('dafault.map'); ?>
		<?php else: ?>
			<?php __('dafault.test'); ?>
		<?php endif; ?>

		<?php echo $title_for_layout; ?>
	</title>
		<?php echo $this->Html->meta('icon'); ?>
        <?php if ($this->params['url']['url'] === "/" ||
        	($this->params['controller'] === "accounts" && $this->params['action'] === "integration_execute")): ?>
			<?php echo $this->Html->css('map.top.css'); ?>
        <?php else: ?>
            <?php echo $this->Html->css('map.generic.css'); ?>
            <?php echo $this->Html->css('page'); ?>
            <?php echo $scripts_for_layout; ?>
        <?php endif; ?>
        <?php if(isset($no_cache)): ?>
	    	<?php echo "<meta http-equiv=\"Pragma\" content=\"no-cache\">"; ?>
			<?php echo "<meta http-equiv=\"Cache-Control\" content=\"no-cache\">"; ?>
			<?php echo "<meta http-equiv=\"Expires\" content=\"0\">"; ?>
	    <?php endif; ?>
</head>
<body>
<div id="container">
	<div id="header">
		<h2>
			<?php if ($_SERVER['HTTP_HOST'] == Configure::read("production.host")): ?>
				<?php //echo $this->Html->link(__('GakuNin mAP', true), '/categories/', array('id' => 'menu')); ?>
				<?php echo $html->link($html->image('gakunin_banner4.png', array()), '/', array('class' => 'nolink', 'escape' => false,), false); ?><?php echo $html->image('banner.png', array()); ?>
			<?php else: ?>
				<?php //echo $this->Html->link(__('Test mAP', true), '/categories/', array('id' => 'menu')); ?>
				<?php echo $html->link($html->image('test_banner4.png', array()), '/', array('class' => 'nolink', 'escape' => false,) , false); ?><?php echo $html->image('banner.png', array()); ?>
			<?php endif; ?>
   		</h2>
		<div class="head_question">
			<?php echo $html->link(__('common.japanese', true), '/languages/change/ja?a='.$html->url(), array('style' => 'padding-right:10px;')); ?>
			<?php echo $html->link('English', '/languages/change/eng?a='.$html->url(), array('style' => 'padding-right:50px;')); ?>
			<?php echo $html->link('Help', 'https://meatwiki.nii.ac.jp/confluence/display/gakuninmappublic/Home', array('target' => '_blank', 'style' => 'padding-right:30px;')); ?>
        </div>

	</div>

	<div id="main">
		<div id="content">
			<?php echo $this->Session->flash(); ?>
			<?php echo $content_for_layout; ?>
		</div>
		<?php echo $this->element('sql_dump'); ?>
	</div>

	<div id="footer">
		<span class="footer"><?php echo $html->link(__('common.privacy.policy', true), 'http://www.rois.ac.jp/pdf/3-10.pdf', array('class' => 'footer', 'target' => '_blank')); ?></span>
		<span class="footer"><?php echo $html->link(__('common.terms.use', true), '/rules/', array('class' => 'footer')); ?></span>
		<span class="copyright">Copyright(C) National Institute of Informatics</span>
	</div>
</div>

</body>
</html>